/*
** FCNTL.H                                        File control constants.
**
** Date     Programmer     History
** -------- -------------- --------------------------------------------------
** 890121   P. Eriksson    Initial coding.
*/

#ifndef __FCNTL_H__
#define __FCNTL_H__

/*
** CI, MSC and CIO common constants
*/
#define O_RDONLY     0
#define O_WRONLY     1
#define O_RDWR       2

/*
** MSC and CIO specific constants
*/
#define O_APPEND     0x0010
#define O_CREAT      0x0020
#define O_EXCL       0x0040
#define O_TRUNC      0x0080
#define O_BINARY     0x0100
#define O_TEXT       0x0200
#define O_NDELAY     0x0400

/*
** CIO extensions
*/
#define O_SYNC       0x0800
#define O_PIPE       0x1000
#define O_FILE       0x2000
#define O_DEVICE     0x4000

/*
** CIO (FILE) specific constants
*/
#define O_SAM        0x0004
#define O_DAM        0x0008
#define O_CAM        0x8000

#endif
